/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : ADC.h
**     Project     : DP_obsazenost_koleji_v2.2
**     Processor   : MC9S08DZ96CLF
**     Component   : Init_ADC
**     Version     : Component 01.244, Driver 01.20, CPU db: 3.00.038
**     Compiler    : CodeWarrior HCS08 C Compiler
**     Date/Time   : 2022-02-28, 18:32, # CodeGen: 2
**     Abstract    :
**          This file implements the ADC (ADC) module initialization 
**          according to the Peripheral Initialization Component settings, and defines
**          interrupt service routines prototypes. 

**     Settings    :
**          Component name                                 : ADC
**          Device                                         : ADC
**          Prescaler                                      : 2
**          Sample time                                    : 2.81 us
**          Conversion mode                                : Single conversion
**          Result data formats                            : 8-bit right
**          ADC Channels                                   : 8
**          Pins                                           : PTB0_PIB0_ADP8
**                                                           PTB1_PIB1_ADP9
**                                                           PTB2_PIB2_ADP10
**                                                           PTB3_PIB3_ADP11
**                                                           PTA4_PIA4_ADP4
**                                                           PTA5_PIA5_ADP5
**                                                           PTA6_PIA6_ADP6
**                                                           PTA7_PIA7_ADP7_IRQ
**          Interrupt                                      : Vadc
**          Conversion complete interrupt                  : Enabled
**          ISR name                                       : AD_conv_complete
**          Initial channel select                         : ADC Disabled
**          Call Init method                               : yes
**          Enable module                                  : Disabled

**     Contents    :
**         Init - void ADC_Init(void);
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file ADC.h
** @version 01.20
** @brief
**          This file implements the ADC (ADC) module initialization 
**          according to the Peripheral Initialization Component settings, and defines
**          interrupt service routines prototypes. 

*/         
/*!
**  @addtogroup ADC_module ADC module documentation
**  @{
*/         


#ifndef __ADC
#define __ADC

/* MODULE ADC. */

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited components */

#include "Cpu.h"


/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see ADC.c file for more information).
** ===================================================================
*/
__interrupt void AD_conv_complete(void);

void ADC_Init(void);
/*
** ===================================================================
**     Method      :  ADC_Init (component Init_ADC)
**     Description :
**         This method initializes registers of the ADC module
**         according to this Peripheral Initialization Component settings.
**         Call this method in user code to initialize the module.
**         By default, the method is called by PE automatically; see
**         "Call Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

/* END ADC. */

#endif /* ifndef __ADC */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
