/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : PTD.c
**     Project     : DP_obsazenost_koleji_v2.2
**     Processor   : MC9S08DZ96CLF
**     Component   : Init_GPIO
**     Version     : Component 01.032, Driver 01.21, CPU db: 3.00.038
**     Compiler    : CodeWarrior HCS08 C Compiler
**     Date/Time   : 2022-02-28, 18:55, # CodeGen: 6
**     Abstract    :
**          This file implements the General Purpose Input Output (PTD)
**          module initialization according to the Peripheral Initialization
**          Component settings, and defines interrupt service routines prototypes.
**
**     Settings    :
**          Component name                                 : PTD
**          Device                                         : PTD
**          Port control                                   : Individual pins
**
**          Used pins                                      :
**             ----------------------------------------------------
**                Number (on package)  |    Name
**             ----------------------------------------------------
**                       0             |  PTD0_PID0_TPM2CH0
**                       1             |  PTD1_PID1_TPM2CH1
**                       2             |  PTD2_PID2_TPM1CH0
**                       3             |  PTD3_PID3_TPM1CH1
**                       4             |  PTD4_PID4_TPM1CH2
**                       6             |  PTD6_PID6_TPM1CH4
**                       7             |  PTD7_PID7_TPM1CH5
**             ----------------------------------------------------
**
**          Pin0                                           : PTD0_PID0_TPM2CH0
**            Direction                                    : Output
**            Output value                                 : 0
**            Pull resistor                                : no initialization
**            Open drain                                   : push-pull
**
**          Pin1                                           : PTD1_PID1_TPM2CH1
**            Direction                                    : Input
**            Output value                                 : 0
**            Pull resistor                                : no initialization
**            Open drain                                   : push-pull
**
**          Pin2                                           : PTD2_PID2_TPM1CH0
**            Direction                                    : Output
**            Output value                                 : 1
**            Pull resistor                                : no initialization
**            Open drain                                   : push-pull
**
**          Pin3                                           : PTD3_PID3_TPM1CH1
**            Direction                                    : Output
**            Output value                                 : 1
**            Pull resistor                                : no initialization
**            Open drain                                   : push-pull
**
**          Pin4                                           : PTD4_PID4_TPM1CH2
**            Direction                                    : Output
**            Output value                                 : 1
**            Pull resistor                                : no initialization
**            Open drain                                   : push-pull
**
**          Pin6                                           : PTD6_PID6_TPM1CH4
**            Direction                                    : Output
**            Output value                                 : 0
**            Pull resistor                                : no initialization
**            Open drain                                   : push-pull
**
**          Pin7                                           : PTD7_PID7_TPM1CH5
**            Direction                                    : Output
**            Output value                                 : 1
**            Pull resistor                                : no initialization
**            Open drain                                   : push-pull
**
**          Call Init method                               : yes
**     Contents    :
**         Init - void PTD_Init(void);
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file PTD.c
** @version 01.21
** @brief
**          This file implements the General Purpose Input Output (PTD)
**          module initialization according to the Peripheral Initialization
**          Component settings, and defines interrupt service routines prototypes.
**
*/         
/*!
**  @addtogroup PTD_module PTD module documentation
**  @{
*/         

/* MODULE PTD. */

#include "PTD.h"
/*
** ===================================================================
**     Method      :  PTD_Init (component Init_GPIO)
**     Description :
**         This method initializes registers of the GPIO module
**         according to this Peripheral Initialization Component settings.
**         Call this method in the user code to initialize the
**         module. By default, the method is called by PE
**         automatically; see "Call Init method" property of the
**         component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void PTD_Init(void)
{
  /* PTDD: PTDD7=1,PTDD6=0,PTDD4=1,PTDD3=1,PTDD2=1,PTDD1=0,PTDD0=0 */
  clrSetReg8Bits(PTDD, 0x43U, 0x9CU);   
  /* PTDDD: PTDDD7=1,PTDDD6=1,PTDDD4=1,PTDDD3=1,PTDDD2=1,PTDDD1=0,PTDDD0=1 */
  clrSetReg8Bits(PTDDD, 0x02U, 0xDDU);  
}

/* END PTD. */

/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
