/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : PTD_Int.c
**     Project     : DP_obsazenost_koleji_v2.2
**     Processor   : MC9S08DZ96CLF
**     Component   : Init_KBI
**     Version     : Component 01.041, Driver 01.17, CPU db: 3.00.038
**     Compiler    : CodeWarrior HCS08 C Compiler
**     Date/Time   : 2022-02-28, 18:29, # CodeGen: 1
**     Abstract    :
**          This file implements the KBI (PTD_Int) module initialization
**          according to the Peripheral Initialization Component settings, and defines
**          interrupt service routines prototypes.
**          The KBI module is the serial peripheral interface module,which allows 
**          full-duplex, synchronous, serial communications with peripheral devices.
**          The keyboard interrupt module (KBI) provides a few independently maskable 
**          external interrupts. When a port pin is enabled for keyboard interrupt 
**          function, an internal pullup/pulldown device is also enabled on the pin.

**     Settings    :
**          Component name                                 : PTD_Int
**          Device                                         : PTD_Int
**          Settings 
**            Triggering sensitivity                       : edge
**          Pins 
**            Pin0                                         : Disabled
**            Pin1                                         : Disabled
**            Pin2                                         : Disabled
**            Pin3                                         : Disabled
**            Pin4                                         : Disabled
**            Pin5                                         : Enabled
**              Pin                                        : PTD5_PID5_TPM1CH3
**              Pin signal                                 : 
**              Interrupt polarity                         : high level and/or rising edge
**            Pin6                                         : Disabled
**            Pin7                                         : Disabled
**          Interrupts 
**            Keyboard request 
**              Interrupt                                  : Vport
**              Keyboard request interrupt                 : Enabled
**              ISR name                                   : MODE
**          Initialization 
**            Call Init method                             : yes
**     Contents    :
**         Init - void PTD_Int_Init(void);
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file PTD_Int.c
** @version 01.17
** @brief
**          This file implements the KBI (PTD_Int) module initialization
**          according to the Peripheral Initialization Component settings, and defines
**          interrupt service routines prototypes.
**          The KBI module is the serial peripheral interface module,which allows 
**          full-duplex, synchronous, serial communications with peripheral devices.
**          The keyboard interrupt module (KBI) provides a few independently maskable 
**          external interrupts. When a port pin is enabled for keyboard interrupt 
**          function, an internal pullup/pulldown device is also enabled on the pin.

*/         
/*!
**  @addtogroup PTD_Int_module PTD_Int module documentation
**  @{
*/         

/* MODULE PTD_Int. */

#include "PTD_Int.h"

/*
** ###################################################################
**
**  The interrupt service routine(s) must be implemented
**  by user in one of the following user modules.
**
**  If the "Generate ISR" option is enabled, Processor Expert generates
**  ISR templates in the CPU event module.
**
**  User modules:
**      main.c
**      Events.c
**
** ###################################################################
ISR(MODE)
{
  // NOTE: The routine should include the following actions to obtain
  //       correct functionality of the hardware.
  //
  //  Keyboard Interrupt Flag is cleared by writing a 1 to the
  //  KBACK control bit.
  // Example:   PTDSC_PTDACK = 0x01;
}
*/

/*
** ===================================================================
**     Method      :  PTD_Int_Init (component Init_KBI)
**     Description :
**         This method initializes registers of the KBI module
**         according to this Peripheral Initialization Component settings.
**         Call this method in user code to initialize the module.
**         By default, the method is called by PE automatically; see
**         "Call Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void PTD_Int_Init(void)
{
  /* PTDSC: PTDIE=0 */
  clrReg8Bits(PTDSC, 0x02U);            
  /* PTDES: PTDES7=0,PTDES6=0,PTDES5=1,PTDES4=0,PTDES3=0,PTDES2=0,PTDES1=0,PTDES0=0 */
  setReg8(PTDES, 0x20U);                
  /* PTDSC: PTDMOD=0 */
  clrReg8Bits(PTDSC, 0x01U);            
  /* PTDPS: PTDPS7=0,PTDPS6=0,PTDPS5=1,PTDPS4=0,PTDPS3=0,PTDPS2=0,PTDPS1=0,PTDPS0=0 */
  setReg8(PTDPS, 0x20U);                
  /* PTDSC: PTDACK=1 */
  setReg8Bits(PTDSC, 0x04U);            
  /* PTDSC: PTDIE=1 */
  setReg8Bits(PTDSC, 0x02U);            
}

/* END PTD_Int. */

/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
