/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : MSCAN.h
**     Project     : DP_prestavniky_v1.1
**     Processor   : MC9S08DZ128MLF
**     Component   : Init_MSCAN
**     Version     : Component 01.004, Driver 01.07, CPU db: 3.00.038
**     Compiler    : CodeWarrior HCS08 C Compiler
**     Date/Time   : 2022-04-11, 20:36, # CodeGen: 0
**     Abstract    :
**          This file implements the MSCAN (MSCAN) module initialization
**          according to the Peripheral Initialization Component settings,
**          and defines interrupt service routines prototypes.
**          The Motorola Scalable Controller Area Network (MSCAN) definition
**          is based on is the specific
**          implementation of the Motorola Scalable CAN concept targeted
**          for the Freescale HCS08 Microcontroller Family.
**
**          The basic features of the MSCAN are as follows:
**          - Implementation of the CAN protocol - Version 2.0A/B
**           Standard and extended data frames
**           0 - 8 bytes data length
**           Programmable bit rate up to 1 Mbps1
**           Support for remote frames
**           5 receive buffers with FIFO storage scheme
**          - 3 transmit buffers with internal prioritization using a local
**          priority concept:
**          - Flexible maskable identifier filter supports two full size
**          extended identifier filters (two 32-bit) or four 16-bit filters
**          or eight 8-bit filters
**          - Programmable wake-up functionality with integrated low-pass
**          filter
**          - Programmable loop back mode supports self-test operation
**          - Programmable listen-only mode for monitoring of CAN bus
**          - Separate signalling and interrupt capabilities for all CAN
**          receiver and transmitter error states
**          (Warning, Error Passive, Bus-Off)
**          - Programmable MSCAN clock source either Bus Clock or Oscillator
**          Clock
**          - Internal timer for time-stamping of received and transmitted
**          messages
**          - Three low power modes: Sleep, Power Down and MSCAN Enable
**          - Global initialization of configuration registers
**     Settings    :
**          Component name                                 : MSCAN
**          Device                                         : MSCAN
**          Clock Source                                   : Bus Clock
**          Baud Rate Prescaler                            : 2
**          Synchr. Jump Width                             : 1
**          Sampling                                       : One sample per bit
**          Time Segment 1                                 : 7
**          Time Segment 2                                 : 8
**          CAN frequency                                  : 8 MHz
**          Time quantum                                   : 125 ns
**          Bit rate                                       : 500 kbit/s
**          CAN Stops in Wait Mode                         : no
**          Wake-Up Mode                                   : None
**          Loop Back Test Mode                            : Disabled
**          Listen Only Mode                               : Normal operation
**          Sleep Mode Request                             : Disabled
**          Time Stamp                                     : Disabled
**          Acceptance mode                                : Four 16 bit Acceptance Filters
**          Rx acceptance ID(1st bank)                     : 70207020
**          Rx acceptance ID(2nd bank)                     : 0
**          Rx acceptance ID mask (1st bank)               : 0
**          Rx acceptance ID mask (2nd bank)               : 0
**          RXCAN pin                                      : PTE7_RxD2_RxCAN
**          RXCAN pin signal                               : 
**          TXCAN pin                                      : PTE6_TxD2_TxCAN
**          TXCAN pin signal                               : 
**          Wake up                                        : 
**          Wake up                                        : Disabled
**          Interrupt                                      : Vcanwu
**          ISR name                                       : 
**          Error                                          : 
**          Error Interrupt                                : Vcanerr
**          Status Change Interrupt                        : Disabled
**          Receiver Status Change                         : do not generate
**          Transmitt. Status Change                       : do not generate
**          Overrun Interrupt                              : Disabled
**          ISR name                                       : 
**          Receiver Full                                  : 
**          Receiver Full                                  : Enabled
**          Receiver Interrupt                             : Vcanrx
**          ISR name                                       : CAN_RX
**          Transmitter empty                              : 
**          Transmitter Interrupt                          : Vcantx
**          Tx Empty Interrupt 0                           : Disabled
**          Tx Empty Interrupt 1                           : Disabled
**          Tx Empty Interrupt 2                           : Disabled
**          ISR name                                       : 
**          Call Init in CPU init. code                    : yes
**          CAN Enable                                     : yes
**     Contents    :
**         Init - void MSCAN_Init(void);
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file MSCAN.h
** @version 01.07
** @brief
**          This file implements the MSCAN (MSCAN) module initialization
**          according to the Peripheral Initialization Component settings,
**          and defines interrupt service routines prototypes.
**          The Motorola Scalable Controller Area Network (MSCAN) definition
**          is based on is the specific
**          implementation of the Motorola Scalable CAN concept targeted
**          for the Freescale HCS08 Microcontroller Family.
**
**          The basic features of the MSCAN are as follows:
**          - Implementation of the CAN protocol - Version 2.0A/B
**           Standard and extended data frames
**           0 - 8 bytes data length
**           Programmable bit rate up to 1 Mbps1
**           Support for remote frames
**           5 receive buffers with FIFO storage scheme
**          - 3 transmit buffers with internal prioritization using a local
**          priority concept:
**          - Flexible maskable identifier filter supports two full size
**          extended identifier filters (two 32-bit) or four 16-bit filters
**          or eight 8-bit filters
**          - Programmable wake-up functionality with integrated low-pass
**          filter
**          - Programmable loop back mode supports self-test operation
**          - Programmable listen-only mode for monitoring of CAN bus
**          - Separate signalling and interrupt capabilities for all CAN
**          receiver and transmitter error states
**          (Warning, Error Passive, Bus-Off)
**          - Programmable MSCAN clock source either Bus Clock or Oscillator
**          Clock
**          - Internal timer for time-stamping of received and transmitted
**          messages
**          - Three low power modes: Sleep, Power Down and MSCAN Enable
**          - Global initialization of configuration registers
*/         
/*!
**  @addtogroup MSCAN_module MSCAN module documentation
**  @{
*/         

#ifndef __MSCAN
#define __MSCAN

/* MODULE MSCAN. */

/*Include shared modules, which are used for whole project*/
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
/* Include inherited components */

#include "Cpu.h"




void MSCAN_Init(void);
/*
** ===================================================================
**     Method      :  MSCAN_Init (component Init_MSCAN)
**     Description :
**         This method initializes registers of the CAN module
**         according to this Peripheral Initialization Component settings.
**         Call this method in user code to initialize the module.
**         By default, the method is called by PE automatically; see
**         "Call Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/

/*
** ===================================================================
** The interrupt service routine must be implemented by user in one
** of the user modules (see MSCAN.c file for more information).
** ===================================================================
*/
__interrupt void CAN_RX(void);

/* END MSCAN. */

#endif /* ifndef __MSCAN */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
