/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : TPM2.c
**     Project     : DP_prestavniky_v1.1
**     Processor   : MC9S08DZ128MLF
**     Component   : Init_TPM
**     Version     : Component 01.084, Driver 01.20, CPU db: 3.00.038
**     Compiler    : CodeWarrior HCS08 C Compiler
**     Date/Time   : 2022-04-11, 20:36, # CodeGen: 0
**     Abstract    :
**          This file implements the TPM (TPM2) module initialization
**          according to the Peripheral Initialization Component settings,
**          and defines interrupt service routines prototypes.
**     Settings    :
**          Component name                                 : TPM2
**          Device                                         : TPM2
**          Settings                                       : 
**            Clock settings                               : 
**              Clock source select                        : Bus rate clock
**              Prescaler                                  : 32
**              Modulo counter                             : 4999
**              Period                                     : 10 ms
**            Channels                                     : 2
**              Channel                                    : 
**                Capture/compare device                   : TPM20
**                Settings                                 : 
**                  Mode                                   : PWM
**                    PWM output action                    : Clear output on compare
**                    Channel compare value                : 0
**                    Channel duty                         : 0 us
**                Pin                                      : Used
**                  Channel pin                            : PTD0_PID0_TPM2CH0
**                  Channel pin signal                     : 
**                  Pull resistor                          : autoselected pull
**                Interrupt                                : 
**                  Channel Interrupt                      : 
**                    Interrupt                            : Vtpm2ch0
**                    Channel Interrupt                    : Disabled
**                    ISR name                             : 
**              Channel                                    : 
**                Capture/compare device                   : TPM21
**                Settings                                 : 
**                  Mode                                   : PWM
**                    PWM output action                    : Clear output on compare
**                    Channel compare value                : 0
**                    Channel duty                         : 0 us
**                Pin                                      : Used
**                  Channel pin                            : PTD1_PID1_TPM2CH1
**                  Channel pin signal                     : 
**                  Pull resistor                          : autoselected pull
**                Interrupt                                : 
**                  Channel Interrupt                      : 
**                    Interrupt                            : Vtpm2ch1
**                    Channel Interrupt                    : Disabled
**                    ISR name                             : 
**          Pins                                           : 
**            External clock source                        : Disabled
**          Interrupts                                     : 
**            Overflow Interrupt                           : 
**              Interrupt                                  : Vtpm2ovf
**              Overflow Interrupt                         : Disabled
**              ISR name                                   : TPM2_OVF
**          Initialization                                 : 
**            Call Init method                             : yes
**            Enable module                                : yes
**     Contents    :
**         Init - void TPM2_Init(void);
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file TPM2.c
** @version 01.20
** @brief
**          This file implements the TPM (TPM2) module initialization
**          according to the Peripheral Initialization Component settings,
**          and defines interrupt service routines prototypes.
*/         
/*!
**  @addtogroup TPM2_module TPM2 module documentation
**  @{
*/         

/* MODULE TPM2. */

#include "TPM2.h"

/*
** ###################################################################
**
**  The interrupt service routine(s) must be implemented
**  by user in one of the following user modules.
**
**  If the "Generate ISR" option is enabled, Processor Expert generates
**  ISR templates in the CPU event module.
**
**  User modules:
**      main.c
**      Events.c
**
** ###################################################################
      ISR(TPM2_OVF)
      {
      // NOTE: The routine should include the following actions to obtain
      //       correct functionality of the hardware.
      //
      //       The TPM2SC register should be read and
      //       TOF bit must be set to 0 to clear the interrupt request.
      //       Example: TPM2SC;
      //                TPM2SC_TOF = 0;
      }

*/
/*
** ===================================================================
**     Method      :  TPM2_Init (component Init_TPM)
**     Description :
**         This method initializes registers of the TPM module
**         according to this Peripheral Initialization settings. Call
**         this method in the user code to initialize the module. By
**         default, the method is called by PE automatically; see "Call
**         Init method" property of the component for more details.
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
void TPM2_Init(void)
{
  (void)getReg8(TPM2C0SC);             /* Channel 0 int. flag clearing (first part) */
  /* TPM2C0SC: CH0F=0,CH0IE=0,MS0B=1,MS0A=0,ELS0B=1,ELS0A=0,??=0,??=0 */
  setReg8(TPM2C0SC, 0x28U);            /* Int. flag clearing (2nd part) and channel 0 contr. register setting */ 
  setReg16(TPM2C0V, 0x00U);            /* Compare 0 value setting */ 
  (void)getReg8(TPM2C1SC);             /* Channel 1 int. flag clearing (first part) */
  /* TPM2C1SC: CH1F=0,CH1IE=0,MS1B=1,MS1A=0,ELS1B=1,ELS1A=0,??=0,??=0 */
  setReg8(TPM2C1SC, 0x28U);            /* Int. flag clearing (2nd part) and channel 1 contr. register setting */ 
  setReg16(TPM2C1V, 0x00U);            /* Compare 1 value setting */ 
  /* TPM2SC: TOF=0,TOIE=0,CPWMS=0,CLKSB=0,CLKSA=0,PS2=0,PS1=0,PS0=0 */
  setReg8(TPM2SC, 0x00U);              /* Stop and reset counter */ 
  setReg16(TPM2MOD, 0x1387U);          /* Period value setting */ 
  (void)getReg8(TPM2SC);               /* Overflow int. flag clearing (first part) */
  /* TPM2SC: TOF=0,TOIE=0,CPWMS=0,CLKSB=0,CLKSA=1,PS2=1,PS1=0,PS0=1 */
  setReg8(TPM2SC, 0x0DU);              /* Int. flag clearing (2nd part) and timer control register setting */ 
}

/* END TPM2. */

/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
