/* ###################################################################
**     Filename    : Events.h
**     Project     : Zkousime
**     Processor   : MC9S08DZ60MLF
**     Component   : Events
**     Version     : Driver 01.02
**     Compiler    : CodeWarrior HCS08 C Compiler
**     Date/Time   : 2019-11-13, 10:24, # CodeGen: 0
**     Abstract    :
**         This is user's event module.
**         Put your event handler code here.
**     Settings    :
**     Contents    :
**         No public methods
**
** ###################################################################*/
/*!
** @file Events.h
** @version 01.02
** @brief
**         This is user's event module.
**         Put your event handler code here.
*/         
/*!
**  @addtogroup Events_module Events module documentation
**  @{
*/         

#ifndef __Events_H
#define __Events_H
/* MODULE Events */

#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "MSCAN.h"
#include "TPM3.h"
#include "TPM2.h"
#include "PTA.h"
#include "WDog1.h"
#include "TPM1.h"
#include "PTB.h"
#include "PTE.h"


#ifdef ISR_IN_NONBANKED
#pragma CODE_SEG __NEAR_SEG NON_BANKED
#endif
/*
** ===================================================================
**     Interrupt handler : CAN_RX
**
**     Description :
**         User interrupt service routine. 
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
__interrupt void CAN_RX(void);
#ifdef ISR_IN_NONBANKED
#pragma CODE_SEG DEFAULT
#endif



#ifdef ISR_IN_NONBANKED
#pragma CODE_SEG __NEAR_SEG NON_BANKED
#endif
/*
** ===================================================================
**     Interrupt handler : TPM1_preteceni
**
**     Description :
**         User interrupt service routine. 
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
__interrupt void TPM1_preteceni(void);
#ifdef ISR_IN_NONBANKED
#pragma CODE_SEG DEFAULT
#endif



#ifdef ISR_IN_NONBANKED
#pragma CODE_SEG __NEAR_SEG NON_BANKED
#endif
/*
** ===================================================================
**     Interrupt handler : TPM2_OVF
**
**     Description :
**         User interrupt service routine. 
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
__interrupt void TPM2_OVF(void);
#ifdef ISR_IN_NONBANKED
#pragma CODE_SEG DEFAULT
#endif



#ifdef ISR_IN_NONBANKED
#pragma CODE_SEG __NEAR_SEG NON_BANKED
#endif
/*
** ===================================================================
**     Interrupt handler : TPM3_OVF
**
**     Description :
**         User interrupt service routine. 
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
__interrupt void TPM3_OVF(void);
#ifdef ISR_IN_NONBANKED
#pragma CODE_SEG DEFAULT
#endif



/* END Events */
#endif /* __Events_H*/

/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
